reSIDfp::Filter8580 Class Reference

`#include <Filter8580.h>`

Inheritance diagram for reSIDfp::Filter8580:

## Public Member Functions

int | clock (int voice1, int voice2, int voice3)
void | updatedCenterFrequency ()
void | updatedResonance ()
void | input (int input)
void | updatedMixing ()
void | setFilterCurve (double curvePosition)
Public Member Functions inherited from reSIDfp::Filter
void | enable (bool enable)
void | setClockFrequency (double clock)
void | reset ()
void | writeFC_LO (unsigned char fc_lo)
void | writeFC_HI (unsigned char fc_hi)
void | writeRES_FILT (unsigned char res_filt)
void | writeMODE_VOL (unsigned char mode_vol)

## Additional Inherited Members

Protected Attributes inherited from reSIDfp::Filter
double | clockFrequency
int | fc
int | res
int | vol
bool | filt1
bool | filt2
bool | filt3
bool | filtE
bool | voice3off
bool | hp
bool | bp
bool | lp

## Detailed Description

Filter for 8580 chip based on simple linear approximation of the FC control.

This is like the original reSID filter except the phase of BP output has been inverted. I saw samplings on the internet that indicated it would genuinely happen like this.

Author
  Ken Händel
  Dag Lem
  Antti Lankila
  Leandro Nini

## Member Function Documentation

RESID_INLINE int reSIDfp::Filter8580::clock | ( | int | v1,
|  | int | v2,
|  | int | v3
| ) |  |

virtual

SID clocking - 1 cycle

Parameters

  v1 | voice 1 in
  v2 | voice 2 in
  v3 | voice 3 in

Returns
  filtered output

Implements reSIDfp::Filter.

void reSIDfp::Filter8580::updatedCenterFrequency | ( |  | ) |

inline virtual

Set filter cutoff frequency.

Implements reSIDfp::Filter.

void reSIDfp::Filter8580::updatedMixing | ( |  | ) |

inline virtual

Mixing configuration modified (offsets change)

Implements reSIDfp::Filter.

void reSIDfp::Filter8580::updatedResonance | ( |  | ) |

inline virtual

Set filter resonance.

Implements reSIDfp::Filter.

The documentation for this class was generated from the following file:

- Filter8580.h